/*
 * RealModularNumber.cpp	(CCFlib)
 * Copyright (C) 2004 Kento EMOTO
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * Kento EMOTO:
 *   mailto:emoto@ipl.t.u-tokyo.ac.jp
 *   http://www.ipl.t.u-tokyo.ac.jp/~emoto/
 */
/** 
 *	@file RealModularNumber.cpp implementation of class RealModularNumber.
 *	@author Kento EMOTO
 */
#include "RealModularNumber.hpp"


int exp_id = 0;
int thePrime;

/**
 *	register a prime number p.
 *	p is used to make a field Z_p.
 *	@param p prime number
 */
int setPrime(int p)
{
	int tmp = thePrime;
	thePrime = p;
	return tmp;
}

double eps =0.5;

void setEps(double e)
{
	eps = e;
}

double getEps()
{
	return eps;
}

